(no subject)

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

(no subject)

林占宇

I would like to use Cygwin to compile VIM, who can tell me what need
to install a package, Cygwin will be able to correctly compile the
VIM?

--
迎风飘逸
E-mail : [hidden email]
msn : [hidden email]

--~--~---------~--~----~------------~-------~--~----~
You received this message from the "vim_use" maillist.
For more information, visit http://www.vim.org/maillist.php
-~----------~----~----~----~------~----~------~--~---

Reply | Threaded
Open this post in threaded view
|

Re:

Tony Mechelynck

On 07/03/09 15:18, 林占宇 wrote:
> I would like to use Cygwin to compile VIM, who can tell me what need
> to install a package, Cygwin will be able to correctly compile the
> VIM?
>

see http://users.skynet.be/antoine.mechelynck/vim/compile.htm

Install everything if you have enough disk space, otherwise install at
least:
- the basic utilities: bash, ls, cp, mv, cygpath, etc.
- patch
- gcc and make (plus gdb if you want a debugger)
- gzip, bzip2 and tar
- (optional) csv and/or svc and/or git if available
- rsync if available (see the Unix HowTo
http://users.skynet.be/antoine.mechelynck/vim/compunix.htm about how to
use it to keep runtime files up-to-date)

If you try to compile Vim, you should subscribe to the vim_dev group,
and post there any further questions you might have about compiling Vim,
or any problems it might give you.

However, for Windows, Steve Hall's distributions at
https://sourceforge.net/project/showfiles.php?group_id=43866&package_id=39721 
are usually good enough. Click the clipboard-like icon next to the
download link to see what was compiled-in.


Best regards,
Tony.
--
A candidate is a person who gets money from the rich and votes from the
poor to protect them from each other.

--~--~---------~--~----~------------~-------~--~----~
You received this message from the "vim_use" maillist.
For more information, visit http://www.vim.org/maillist.php
-~----------~----~----~----~------~----~------~--~---

Reply | Threaded
Open this post in threaded view
|

Re: your mail

Gary Johnson-4
In reply to this post by 林占宇

On 2009-03-07, ?????? wrote:
> I would like to use Cygwin to compile VIM, who can tell me what need
> to install a package, Cygwin will be able to correctly compile the
> VIM?

I've installed the basic, default Cygwin packages, plus other
packages as needed, so I don't know the minimum set of packages
needed to build vim.  Most things you need are pretty obvious:  when
you try to execute ./configure or make, you'll see a complaint about
some program not being found.

One non-so-obvious package you'll need is libncurses-devel in order
for color to work.

Regards,
Gary



--~--~---------~--~----~------------~-------~--~----~
You received this message from the "vim_use" maillist.
For more information, visit http://www.vim.org/maillist.php
-~----------~----~----~----~------~----~------~--~---

Reply | Threaded
Open this post in threaded view
|

Re: your mail

Tony Mechelynck

On 07/03/09 18:20, Gary Johnson wrote:

> On 2009-03-07, ?????? wrote:
>> I would like to use Cygwin to compile VIM, who can tell me what need
>> to install a package, Cygwin will be able to correctly compile the
>> VIM?
> I've installed the basic, default Cygwin packages, plus other
> packages as needed, so I don't know the minimum set of packages
> needed to build vim.  Most things you need are pretty obvious:  when
> you try to execute ./configure or make, you'll see a complaint about
> some program not being found.
>
> One non-so-obvious package you'll need is libncurses-devel in order
> for color to work.
>
> Regards,
> Gary

That's if you want Vim "for Cygwin". You can also use Cygwin to compile
("cross-compile", if you want) versions of Vim which don't need Cygwin
to run, as explained on  my Windows HowTo
httpp://users.skynet.be/antoine.mechelynck/vim/compile.htm , and those
versions of Vim don't need any ncurses packages of any kind IIUC.

Best regards,
Tony.
--
NEIL INNES PLAYED: THE FIRST SELF-DESTRUCTIVE MONK, ROBIN'S LEAST FAVORITE
                    MINSTREL, THE PAGE CRUSHED BY A RABBIT, THE OWNER OF
A DUCK
                  "Monty Python and the Holy Grail" PYTHON (MONTY)
PICTURES LTD

--~--~---------~--~----~------------~-------~--~----~
You received this message from the "vim_use" maillist.
For more information, visit http://www.vim.org/maillist.php
-~----------~----~----~----~------~----~------~--~---

Reply | Threaded
Open this post in threaded view
|

Re:

panshizhu
In reply to this post by 林占宇

林占宇 写道:
> I would like to use Cygwin to compile VIM, who can tell me what need
> to install a package, Cygwin will be able to correctly compile the
> VIM?
>

Sure, Cygwin is capable of compiling:
1. a cygwin version of vim
2. a cygwin/X version of gvim
3. a native windows version of gvim (without cygwin1.dll dependency)

I'm not sure but basically you will need termcap and ncurse related
development packages.


Anyway, you should write a title when writing an email.


--~--~---------~--~----~------------~-------~--~----~
You received this message from the "vim_use" maillist.
For more information, visit http://www.vim.org/maillist.php
-~----------~----~----~----~------~----~------~--~---

Reply | Threaded
Open this post in threaded view
|

Re:

redspider red

why you do not to download gvim.exe for windows?

2009/5/11 pansz <[hidden email]>:

>
> 林占宇 写道:
>> I would like to use Cygwin to compile VIM, who can tell me what need
>> to install a package, Cygwin will be able to correctly compile the
>> VIM?
>>
>
> Sure, Cygwin is capable of compiling:
> 1. a cygwin version of vim
> 2. a cygwin/X version of gvim
> 3. a native windows version of gvim (without cygwin1.dll dependency)
>
> I'm not sure but basically you will need termcap and ncurse related
> development packages.
>
>
> Anyway, you should write a title when writing an email.
>
>

--~--~---------~--~----~------------~-------~--~----~
You received this message from the "vim_use" maillist.
For more information, visit http://www.vim.org/maillist.php
-~----------~----~----~----~------~----~------~--~---

Reply | Threaded
Open this post in threaded view
|

Re:

Gary Johnson-4

On 2009-05-11, redspider red wrote:

> 2009/5/11 pansz <[hidden email]>:
> >
> > ?????? ????:
> >> I would like to use Cygwin to compile VIM, who can tell me what need
> >> to install a package, Cygwin will be able to correctly compile the
> >> VIM?
> >>
> >
> > Sure, Cygwin is capable of compiling:
> > 1. a cygwin version of vim
> > 2. a cygwin/X version of gvim
> > 3. a native windows version of gvim (without cygwin1.dll dependency)
> >
> > I'm not sure but basically you will need termcap and ncurse related
> > development packages.
> >
> >
> > Anyway, you should write a title when writing an email.

> why you do not to download gvim.exe for windows?

At least in part because gvim for Windows does not understand Cygwin
paths and because not all Cygwin programs understand the paths
passed to them when launched by gvim for Windows.

Please don't top-post to this list.

Regards,
Gary



--~--~---------~--~----~------------~-------~--~----~
You received this message from the "vim_use" maillist.
For more information, visit http://www.vim.org/maillist.php
-~----------~----~----~----~------~----~------~--~---

Reply | Threaded
Open this post in threaded view
|

Re:

Tony Mechelynck
In reply to this post by panshizhu

On 11/05/09 04:40, pansz wrote:

>
> 林占宇 写道:
>> I would like to use Cygwin to compile VIM, who can tell me what need
>> to install a package, Cygwin will be able to correctly compile the
>> VIM?
>>
>
> Sure, Cygwin is capable of compiling:
> 1. a cygwin version of vim
> 2. a cygwin/X version of gvim
> 3. a native windows version of gvim (without cygwin1.dll dependency)
>
> I'm not sure but basically you will need termcap and ncurse related
> development packages.

Not for case 3, for which I have a HowTo page at
http://users.skynet.be/antoine.mechelynck/vim/compile.htm

Cases 1 and 2 basically concern "compiling Vim on a Unix-like OS" and
you will need to install development packages for anything that you want
to use in the version of [g]vim that you want to compile. I never tried
to compile Vim "for Cygwin" (there are pre-compiled Vim packages among
the various "Cygwin" packages -- though I don't know how recent they
are); but my HowTo page "for Unix/Linux"
http://users.skynet.be/antoine.mechelynck/vim/compunix.htm is probably
relevant, at least in general terms.

>
>
> Anyway, you should write a title when writing an email.

Yes. See also http://www.catb.org/~esr/faqs/smart-questions.html
  -- a very well-written paper about "asking questions the smart way" on
this kind of ML.

Also, you should direct your question to the appropiate ML/NG/etc. for
what you want to know about. Questions about compiling Vim belong on the
vim_dev list.


Best regards,
Tony.
--
hundred-and-one symptoms of being an internet addict:
34. You laugh at people with 14400 baud modems.

--~--~---------~--~----~------------~-------~--~----~
You received this message from the "vim_use" maillist.
For more information, visit http://www.vim.org/maillist.php
-~----------~----~----~----~------~----~------~--~---